CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2017-15099

INSERT ... ON CONFLICT DO UPDATE commands in PostgreSQL 10.x before 10.1, 9.6.x before 9.6.6, and 9.5.x before 9.5.10 disclose table contents that the invoker lacks privilege to read. These exploits affect only tables where the attacker lacks full read access but has both INSERT and UPDATE privileges. Exploits bypass row level security policies and lack of SELECT privilege.
Publish Date : 2017-11-22 Last Update Date : 2018-08-28
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Bypass a restriction or similarObtain Information
CWE ID 200

- Products Affected By CVE-2017-15099

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 9.0 Version Details Vulnerabilities
2 Application Postgresql Postgresql 9.5 Version Details Vulnerabilities
3 Application Postgresql Postgresql 9.5.1 Version Details Vulnerabilities
4 Application Postgresql Postgresql 9.5.2 Version Details Vulnerabilities
5 Application Postgresql Postgresql 9.5.3 Version Details Vulnerabilities
6 Application Postgresql Postgresql 9.5.4 Version Details Vulnerabilities
7 Application Postgresql Postgresql 9.5.5 Version Details Vulnerabilities
8 Application Postgresql Postgresql 9.5.6 Version Details Vulnerabilities
9 Application Postgresql Postgresql 9.5.7 Version Details Vulnerabilities
10 Application Postgresql Postgresql 9.5.8 Version Details Vulnerabilities
11 Application Postgresql Postgresql 9.5.9 Version Details Vulnerabilities
12 Application Postgresql Postgresql 9.6 Version Details Vulnerabilities
13 Application Postgresql Postgresql 9.6.1 Version Details Vulnerabilities
14 Application Postgresql Postgresql 9.6.2 Version Details Vulnerabilities
15 Application Postgresql Postgresql 9.6.3 Version Details Vulnerabilities
16 Application Postgresql Postgresql 9.6.4 Version Details Vulnerabilities
17 Application Postgresql Postgresql 9.6.5 Version Details Vulnerabilities
18 Application Postgresql Postgresql 10.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 1
Postgresql Postgresql 17

- References For CVE-2017-15099

https://www.postgresql.org/support/security/
https://access.redhat.com/errata/RHSA-2018:2566
REDHAT RHSA-2018:2566
https://www.debian.org/security/2017/dsa-4028
DEBIAN DSA-4028
https://www.postgresql.org/about/news/1801/ CONFIRM
https://access.redhat.com/errata/RHSA-2018:2511
REDHAT RHSA-2018:2511
http://www.securitytracker.com/id/1039752
SECTRACK 1039752
http://www.securityfocus.com/bid/101781
BID 101781 PostgreSQL Multipe Memory Corruption and Security Bypass Vulnerabilities Release Date:2017-11-14

- Metasploit Modules Related To CVE-2017-15099

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.